### Method

# FwupdPlugin Device get_parent

since: 1.0.8

#### Declaration [src]

    FuDevice*
    fu_device_get_parent (
      FuDevice* self
    )

#### Description [src]

Gets any parent device. An parent device is logically “above” the current device and this may be reflected in client tools.

This information also allows the plugin to optionally verify the parent device, for instance checking the parent device firmware version.

The parent object is not refcounted and if destroyed this function will then return `NULL`.

Available since: 1.0.8

Gets property | `FwupdPlugin.Device:parent`

#### Return value

Type: `FuDevice`

A device or `NULL`.

The returned data is owned by the instance.